AutoCad 2002 or later

August 24, 2006 8:23am CST
Hello, I need a cheaper license of autoCad 2002 or newer. I'm ready to pay for it as far as it gives me the legal right to use autoCad in my office. Please mail to me at . Thank you.
No responses